Bug#913051: marked as done (hsqldb1.8.0: FTBFS with Java 11 due to System.runFinalizersOnExit() removal)

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Bug#913051: marked as done (hsqldb1.8.0: FTBFS with Java 11 due to System.runFinalizersOnExit() removal)

Debian Bug Tracking System
Your message dated Tue, 06 Nov 2018 20:52:36 +0000
with message-id <[hidden email]>
and subject line Bug#913051: fixed in hsqldb1.8.0 1.8.0.10+dfsg-10
has caused the Debian Bug report #913051,
regarding hsqldb1.8.0: FTBFS with Java 11 due to System.runFinalizersOnExit() removal
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact [hidden email]
immediately.)


--
913051: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=913051
Debian Bug Tracking System
Contact [hidden email] with problems

Source: hsqldb1.8.0
Version: 1.8.0.10+dfsg-9
Severity: serious
Tags: ftbfs

https://tests.reproducible-builds.org/debian/rb-pkg/unstable/amd64/hsqldb1.8.0.html

...
lib:
    [javac] /build/1st/hsqldb1.8.0-1.8.0.10+dfsg/build/build.xml:351: warning: 'includeantruntime' was not set, defaulting to build.sysclasspath=last; set to false for repeatable builds
    [javac] Compiling 40 source files to /build/1st/hsqldb1.8.0-1.8.0.10+dfsg/classes
    [javac] Using ant.build.javac.target 1.5 is no longer supported, switching to 6
    [javac] Using ant.build.javac.target 1.5 is no longer supported, switching to 6
    [javac] Using ant.build.javac.source 1.5 is no longer supported, switching to 6
    [javac] warning: [options] bootstrap class path not set in conjunction with -source 6
    [javac] warning: [options] source value 6 is obsolete and will be removed in a future release
    [javac] warning: [options] target value 1.6 is obsolete and will be removed in a future release
    [javac] warning: [options] To suppress warnings about obsolete options, use -Xlint:-options.
    [javac] /build/1st/hsqldb1.8.0-1.8.0.10+dfsg/src/org/hsqldb/lib/java/JavaSystem.java:163: error: cannot find symbol
    [javac]         System.runFinalizersOnExit(true);
    [javac]               ^
    [javac]   symbol:   method runFinalizersOnExit(boolean)
    [javac]   location: class System
    [javac] Note: Some input files use or override a deprecated API.
    [javac] Note: Recompile with -Xlint:deprecation for details.
    [javac] Note: Some input files use unchecked or unsafe operations.
    [javac] Note: Recompile with -Xlint:unchecked for details.
    [javac] 1 error
    [javac] 4 warnings

Source: hsqldb1.8.0
Source-Version: 1.8.0.10+dfsg-10

We believe that the bug you reported is fixed in the latest version of
hsqldb1.8.0, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to [hidden email],
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Rene Engelhard <[hidden email]> (supplier of updated hsqldb1.8.0 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing [hidden email])


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 06 Nov 2018 19:50:10 +0000
Source: hsqldb1.8.0
Binary: libhsqldb1.8.0-java
Architecture: source
Version: 1.8.0.10+dfsg-10
Distribution: unstable
Urgency: medium
Maintainer: Debian LibreOffice Maintainers <[hidden email]>
Changed-By: Rene Engelhard <[hidden email]>
Description:
 libhsqldb1.8.0-java - Java SQL database engine
Closes: 913051
Changes:
 hsqldb1.8.0 (1.8.0.10+dfsg-10) unstable; urgency=medium
 .
   * add patch from LO to fix build with Java 11 (closes: #913051)
Checksums-Sha1:
 d25da0c2c873fa8eaf9d4955350224cbb18efed4 1921 hsqldb1.8.0_1.8.0.10+dfsg-10.dsc
 f3455a3ce1608df815b3b9eb9aacc11edde40014 29604 hsqldb1.8.0_1.8.0.10+dfsg-10.diff.gz
 fe3cbbe24c9344201f32fbc9aa2512c95a6ac0eb 13163 hsqldb1.8.0_1.8.0.10+dfsg-10_source.buildinfo
Checksums-Sha256:
 040581531f55714968f4099f7830106f9267fd9f72ac636658030adb46537cf6 1921 hsqldb1.8.0_1.8.0.10+dfsg-10.dsc
 148a71dd48b7c3176090bb30e79f24a022b0f4ce18cfce5c0131ff16202ffa6d 29604 hsqldb1.8.0_1.8.0.10+dfsg-10.diff.gz
 ef9e52c9d4b1edffbca3320e077f5cbe17e5f1602162fb0956bfdd1d79dd5255 13163 hsqldb1.8.0_1.8.0.10+dfsg-10_source.buildinfo
Files:
 e3e2dc9449fb348d85227b9f2c8ad481 1921 oldlibs optional hsqldb1.8.0_1.8.0.10+dfsg-10.dsc
 aefc18582a453fd43136f3063c37c0c9 29604 oldlibs optional hsqldb1.8.0_1.8.0.10+dfsg-10.diff.gz
 beb5e1f73f4e7eebd3e155b75643b211 13163 oldlibs optional hsqldb1.8.0_1.8.0.10+dfsg-10_source.buildinfo

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEE4S3qRnUGcM+pYIAdCqBFcdA+PnAFAlvh9SgACgkQCqBFcdA+
PnBekhAApY3A9vsE38Slp+wPC6agyKmGvRfThqOJHg0985eZ6/zF9bNXYlvviI22
HAvpENx+zriJ/8uobVwWuy3FIUXRFFk7b3UIHFmQATHQ0+65l+Lxv9G3yNct6cxw
xkXfJn1hGRyfh/Qn+sM4Tew9H5avMrE52fNkRg/jmKaS6lByUd5/CzFiL2euu9K9
aEamgNZDmJIN4s5x7aoiRyF8qWWVxdqhT3s7eoW66Oeq9jGzpL+bjqf9GBBVX6Iv
qmF4GXRKcnQ/hezvDNS1SgWi7//HvqaGy9jMMH01G8prDSLAF96AxLwBQg+oZqXR
8ehCVtAaUtE0xmzEZ0CKw8Oe0HTTrDVlZJMFs1cEcJecyosnDAYjFAP5DMlaKKnf
Pkk3K1kyzuPVdiqj7v6En57RlUOtMa/Mbx1m5WI1VS+WXgdPdiBZB0yeeyQ9ClwI
3v0hWUZrbg9uquCqCzRJ8PSQfcrEqha5q44Ejhk7CElAQWPluTxY7hMaHAKOV1Sc
aUUVppXcpjODXqyrNHHb9JfGSyNS8yaHAg343hZQgBXw+pUA5iX6ACUp7yrkG35b
bcrlMLtCByb5YZZN/QowX7z0j7GEeSkc5DIfWBc1whB45rcXkIUa43JoV54UmjmM
4XYnYdFBK8EKiXE+jtbeU7t61IG20VMve1xTrP8ljL54xZGUWgQ=
=Rcod
-----END PGP SIGNATURE-----